Package org.gradle.api.artifacts.repositories

## Interface PasswordCredentials

- All Superinterfaces:
    `Credentials`, `PasswordCredentials`

      public interface PasswordCredentials
      extends PasswordCredentials

  A username/password credentials that can be used to login to password-protected remote repository.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getPassword()` | Returns the password to use when authenticating to this repository.
    `String` | `getUsername()` | Returns the user name to use when authenticating to this repository.
    `void` | `setPassword​(String password)` | Sets the password to use when authenticating to this repository.
    `void` | `setUsername​(String userName)` | Sets the user name to use when authenticating to this repository.

- - ### Method Detail

    - #### getUsername

          @Nullable
          String getUsername()

      Returns the user name to use when authenticating to this repository.
      Specified by:
        `getUsername` in interface `PasswordCredentials`
      Returns:
        The user name. May be null.

    - #### setUsername

          void setUsername​(@Nullable
                           String userName)

      Sets the user name to use when authenticating to this repository.
      Specified by:
        `setUsername` in interface `PasswordCredentials`
      Parameters:
        `userName` - The user name. May be null.

    - #### getPassword

          @Nullable
          String getPassword()

      Returns the password to use when authenticating to this repository.
      Specified by:
        `getPassword` in interface `PasswordCredentials`
      Returns:
        The password. May be null.

    - #### setPassword

          void setPassword​(@Nullable
                           String password)

      Sets the password to use when authenticating to this repository.
      Specified by:
        `setPassword` in interface `PasswordCredentials`
      Parameters:
        `password` - The password. May be null.